import request from '@/utils/request'

// 分页查询图库图片标签列表
export function pageListTag(query) {
  return request({
    url: '/gallery/images/tag/pageList',
    method: 'get',
    params: query
  })
}

// 查询图库图片标签列表
export function listTag(query) {
  return request({
    url: '/gallery/images/tag/list',
    method: 'get',
    params: query
  })
}

// 查询图库图片标签详细
export function getTag(id) {
  return request({
    url: '/gallery/images/tag/' + id,
    method: 'get'
  })
}

// 新增图库图片标签
export function addTag(data) {
  return request({
    url: '/gallery/images/tag',
    method: 'post',
    data: data
  })
}

// 修改图库图片标签
export function updateTag(data) {
  return request({
    url: '/gallery/images/tag',
    method: 'put',
    data: data
  })
}

// 删除图库图片标签
export function delTag(id) {
  return request({
    url: '/gallery/images/tag/' + id,
    method: 'delete'
  })
}

// 导出图库图片标签
export function exportTag(query) {
  return request({
    url: '/gallery/images/tag/' + 'export',
    method: 'post',
    params: query
  })
}
